[L001]文献检索

post
https://connect.zhihuiya.com/search/literature/query-search
在体验中心中试用

可以通过输入文献的标题、摘要,作者等搜索和查询我们的全球文献库。

注意: 单次调用最多支持返回100条,支持通过offset设置获取靠后的检索结果; 支持的检索文本最大长度为800字符。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
date_time
string[1714521600000 TO 1748011043000]
出版时间戳范围
limit
integer<int32>10
单此调用返回文献个数不超过100个
offset
integer<int32>-
偏移量,limit + offset <=10000
query_text
stringtitle:(car) and author:("haiyang") and abstract:(car) and publication:(car) and date_time:[1714521600000 TO 1748011043000]
可以通过输入文献的标题、摘要,作者等搜索和查询我们的全球文献库。支持的检索文本最大长度为800字符。 支持AND/OR拼接 支持检索的文本类型: title:标题 abstract:摘要 author:作者 publication:期刊 date_time:出版时间戳范围 author入参需要用双引号包含
text
stringJournal of Personalized Medicine
文献检索输入的文本。
type
stringpublication
支持检索的文本类型: title:标题 abstract:摘要 author:作者 publication:期刊 title/abstract:标题/摘要 all:上述所有字段

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
results
arrayLiteratureBaseResponse
查询结果
doi
string10.3390/jpm13121685
DOI
title
array[ "Variability in Provider Assessment of Sepsis and Potential of Host Response Technology to Address this Dilemma—Results of an Online Delphi Study" ]
标题
author
array[ "Kraus, Chadd K", "O'Neal, Hollis R", "Ledeboer, Nathan A", "Rice, Todd W", "Self, Wesley H" ]
作者
paper_id
string938ad823-46f7-485b-959d-610a767e5a6e
文献id
result_count
integer<int32>10
返回结果数
total_search_result_count
integer<int32>7113
检索到的结果数
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "results": [
      {
        "doi": "10.3390/jpm13121685",
        "title": [
          "Variability in Provider Assessment of Sepsis and Potential of Host Response Technology to Address this Dilemma—Results of an Online Delphi Study"
        ],
        "author": [
          "Kraus, Chadd K",
          "O'Neal, Hollis R",
          "Ledeboer, Nathan A",
          "Rice, Todd W",
          "Self, Wesley H"
        ],
        "paper_id": "938ad823-46f7-485b-959d-610a767e5a6e"
      }
    ],
    "result_count": 10,
    "total_search_result_count": 7113
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms